Subject: bug#23501: Non-regex-based syntax highlighting

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 May 2016 18:59:22 +0300

> From: Nir Friedman <[email-masked]>
> Date: Mon, 9 May 2016 23:12:47 -0400
> 
> I'm considering using emacs as a platform for C++ development. One thing that seems to lag behind on
> emacs at the moment is that all of the syntax highlighting for C++ is (as far as I can tell) regex based. This
> severely limits the accuracy and discrimination that the syntax highlighter can achieve. There are now some
> packages for emacs that use a clang based backends to get actual AST information. Perhaps it would be
> possible to write some kind of hooks or template for major modes that would make it easier for package
> authors to change how syntax highlighting is performed in major modes?

Sorry, I don't think I really understand what is the complaint/issue
you are raising here, and what solution would you like to suggest for
those issues.  Could you perhaps elaborate?  A specific example where
the current code doesn't work would be a good starting point.

Thanks.